[Solved] Facebook4 plugin issues


#1

Used it for my previous games, however now it throws an error during compilation, more precisely this plugin cordova-plugin-facebook4.

Also without “ANDROID_SDK_VERSION”, always it compiled correctly (without ANDROID_SDK_VERSION), however now nothing works.

Getting the following error:
Could not get unknown property ‘ANDROID_SDK_VERSION’ for object of type org.gradle.api.internal.artifacts.dsl.dependencies.DefaultDependencyHandler.


#2

Please try this code instead.

	<plugin name="cordova-plugin-facebook4" source="npm" spec="1.7.4">
		<variable name="APP_ID" value="YOUR_ID"/>
		<variable name="APP_NAME" value="APP_NAME"/>
	</plugin>

#3

Compilation worked, thank you :slight_smile:


#4